snd_assert
Prev | Chapter 24. Sound Devices | Next

## Name

snd_assert — run-time assertion macro

## Synopsis

`snd_assert (` |  | expr,
|  | args...`)`;

## Arguments

`expr`

  expression

`args...`

  variable arguments

## Description

This macro checks the expression in run-time and invokes the commands given in the rest arguments if the assertion is failed. When CONFIG_SND_DEBUG is not set, the expression is executed but not checked.

Prev | Up | Next
snd_printd | Home | snd_printdd